View Single Post

Default 

May 5th, 2012, 20:16
On GG version, if I use the 1.1ru patch and they ask for a disk check. Is there a work around? Or am I forced to just use 1.5?
someone else is offline

someone else

Traveler

#3

Join Date: May 2012
Posts: 3